status resource endpoint
URL: /relationships/<id>/status.<format>
Supported Methods
| GET | Get the status information for the selected relationship, including its types. |
| PUT | Change the status information for the selected relationship, including its types. |
Resource Type
This endpoint returns an object of type RelationshipStatus.
- types (array<string>)
- A list of relationship type URIs describing the types of the related relationship.
Client Library Methods for PHP
- Get the status information for the selected relationship, including its types.
$tp->relationships->getStatus(array( # Required Parameters "id" => $id, ))- Change the status information for the selected relationship, including its types.
$tp->relationships->putStatus(array( # Required Parameters "id" => $id, "payload" => $payload, ))
Example Request
GET /relationships/6r012877b13de7970c0120a8ae8949970b/status.json HTTP/1.1
Host: api.typepad.com
HTTP/1.0 200 OK
Content-type: application/json
Content-length: 20
{
"types": []
}